Get a list of diagnostic reports
get
/DiagnosticReport
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of diagnostic reports that meet the supplied query parameters.
- Provide
_idorpatient. - Use
_idonly by itself or with_revinclude.
Request
Query Parameters
-
_count: integer
Minimum Value:
1Maximum Value:128The maximum number of results per page.Default Value:50 -
_id: string
The logical resource ID.
-
_lastUpdated: array[string]
Maximum Number of Items:
2The last updated date or range. -
_revinclude: string
The inclusion of related Provenance resources.Allowed Values:
[ "Provenance:target" ] -
category: array[string]
The diagnostic report category token.
-
code: array[string]
The diagnostic report code token.
-
date: array[string]
Maximum Number of Items:
2The report date or range. -
encounter: string
The encounter reference or ID.
-
patient: string
The patient reference or ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : resource
Match One Schema
Show Source
-
object
DiagnosticReport
The FHIR R4 DiagnosticReport resource.
-
object
ProvenanceForDiagnosticReport
Additional Properties Allowed:
true -
object
OperationOutcome
The FHIR OperationOutcome.
Nested Schema : DiagnosticReport
Type:
objectThe FHIR R4 DiagnosticReport resource.
Show Source
-
_effectiveDateTime: object
PrimitiveElementForDiagnosticReport
-
_issued: object
PrimitiveElementForDiagnosticReport
-
basedOn: array
basedOn
-
category(required): array
category
-
code(required): object
CodeableConceptForDiagnosticReport
-
conclusionCode: array
conclusionCode
-
effectiveDateTime: string
(date-time)
-
effectivePeriod: object
Period
-
encounter: object
ReferenceForDiagnosticReport
-
id(required): string
-
identifier: array
identifier
-
issued: string
(date-time)
-
media: array
media
-
meta: object
meta
-
performer: array
performer
-
presentedForm: array
presentedForm
-
resourceType(required): string
Allowed Values:
[ "DiagnosticReport" ] -
result: array
result
-
resultsInterpreter: array
resultsInterpreter
-
specimen: array
specimen
-
status(required): string
-
subject(required): object
ReferenceForDiagnosticReport
-
text: object
Narrative
Nested Schema : ProvenanceForDiagnosticReport
Type:
objectAdditional Properties Allowed:
Show Source
true-
resourceType: string
Allowed Values:
[ "Provenance" ]
Nested Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source